/***************************************************************************
 *   Copyright (C) 2004 by Thomas Nagy                                     *
 *   tnagy256@yahoo.fr                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _INPUTXMLPARSER_H
#define _INPUTXMLPARSER_H

#include <qxml.h>

class packingdata;
class QString;

class LNPKReader : public QXmlDefaultHandler
{
	public:

		LNPKReader(packingdata *);
		
		bool startDocument();
		bool startElement( const QString&, const QString&, const QString&, const QXmlAttributes& );
		bool endElement( const QString&, const QString&, const QString& );
		
	private:
		
		int m_nbrect;
		QString m_str;
		packingdata *m_data;
};

#endif // _INPUTXMLPARSER_H

