%define name    linpacker
%define version 0.5.5

Summary      : Tool for 2D bin packing
Name         : %{name}
Version      : %{version}
Vendor       : tnagy
Release      : fc2
Group        : kde/utilities
Copyright    : GPL
Packager     : t nagy <tnagy256@yanoo.fr>
URL          : http://freehackers.org/~tnagy/linpacker/index.html
Source0      : http://freehackers.org/~tnagy/%name/%name-%version.tar.bz2
BuildRoot    : %{name}-%{version}
BuildRequires: kdelibs

%description
linpacker is a scientific tool for studying rectangle packings. It provides a gui and some algorithms for this purpose. The problem is the following : put a number of small rectangles into a rectangular container optimally. The container has a fixed with, but no fixed height (also known as a 2D bin packing problem). 

%prep
%setup
./configure --exec-prefix=/usr --prefix=/usr

%build
make DESTDIR=$RPM_BUILD_ROOT
 
%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean

%files
/usr/bin/linpacker
/usr/share/applications/kde/linpacker.desktop
/usr/share/applnk/Utilities/linpacker.desktop
/usr/share/apps/linpacker/linpackerui.rc
/usr/share/apps/linpacker/pics/launch.png
/usr/share/apps/linpacker/pics/math_sum.png
/usr/share/apps/linpacker/pics/view_tree.png
/usr/share/apps/linpacker/plugins/plugin2DBP1
/usr/share/apps/linpacker/plugins/plugin2DBP2
/usr/share/apps/linpacker/plugins/plugin2DBP3
/usr/share/apps/linpacker/plugins/pluginlist.doc
/usr/share/config.kcfg/linpacker.kcfg
/usr/share/icons/hicolor/16x16/apps/linpacker.png
/usr/share/icons/hicolor/32x32/apps/linpacker.png
/usr/share/icons/hicolor/48x48/apps/linpacker.png
/usr/share/locale/fr/LC_MESSAGES/linpacker.mo
/usr/share/locale/it/LC_MESSAGES/linpacker.mo
 
%changelog
* Wed Oct 27 2004 Kent Franken <nobody@nowhere.com> - 1:0.5.5
- Initial RPM release.
