/***************************************************************************
 *   Copyright (C) 2003, 2004 by Thomas Nagy                               *
 *   tnagy256@yahoo.fr                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _RECTANGLE_H
#define _RECTANGLE_H

#include <qstring.h>

struct rectangle
{
	rectangle();
	rectangle(int,int,int,int,bool,int); 
	void print() const;


	int	r_long;
	int	r_larg;
	int	posx;
	int	posy;
	bool    orientation;
	int	numero;
	QString name;


	static bool overlapping(rectangle i, rectangle j);

	// jaja
	QString identifikation();
	
	int	YHaut() const;
	int	XMax() const;

	int	longueur() const;
	int	largeur() const;

	int	Surface() const;
};


struct lieu
{
	int posx;
	int posy;

	lieu();
	lieu(int, int);
};

bool operator< (lieu, lieu);
bool operator< (rectangle, rectangle);

#endif // _RECTANGLE_H

