/***************************************************************************
 *   Copyright (C) 2003, 2004 by Thomas Nagy                               *
 *   tnagy256@yahoo.fr                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _ALGOCHOOSER_H
#define _ALGOCHOOSER_H

#include "algo_base.h"

class algodata;
class algo_chooser: public algo_base
{
    Q_OBJECT
    public:
	algo_chooser(QWidget *);
	~algo_chooser();

	algodata m_adata;

    public slots:
        void change_algo(const QString &);
        void change_mutation(int);
        void change_crossover(int);
        void change_iteration(int);
        void change_maxtime(int);
        void change_population(int);
};

#endif // _ALGOCHOOSER_H


