/***************************************************************************
 *   Copyright (C) 2003, 2004 by Thomas Nagy                               *
 *   tnagy256@yahoo.fr                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _BOXMANAGER_H
#define _BOXMANAGER_H

#include <kdialogbase.h>

class QTable;
class QWidget;
class boxmanager_content;
class packingdata;
class boxmanager: public KDialogBase
{
    Q_OBJECT
    public:
	boxmanager( QWidget*parent, const char * name, packingdata *tbl);
	~boxmanager();
    
    public slots:
	void slotApply();
	void loadData();

    private:
	boxmanager_content * m_content;
	packingdata * m_data;
};

#endif // _BOXMANAGER_H


